import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as d } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (l, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, c = l.length - 1, i; c >= 0; c--)
    (i = l[c]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && h(t, s, e), e;
};
let o = class extends d {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--radioSelected", this.class = "c-pieIcon c-pieIcon--radioSelected", this.name = "IconRadioSelected";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--radioSelected"><path d="M8 1.219C4.264 1.219 1.219 4.264 1.219 8c0 3.736 3.045 6.781 6.781 6.781 3.736 0 6.781-3.045 6.781-6.781 0-3.736-3.045-6.781-6.781-6.781Zm0 12.25A5.47 5.47 0 0 1 2.531 8 5.47 5.47 0 0 1 8 2.531 5.47 5.47 0 0 1 13.469 8 5.47 5.47 0 0 1 8 13.469ZM10.625 8A2.621 2.621 0 0 1 8 10.625 2.621 2.621 0 0 1 5.375 8 2.621 2.621 0 0 1 8 5.375 2.621 2.621 0 0 1 10.625 8Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-radio-selected")
], o);
export {
  o as IconRadioSelected
};
